# $Revision: 1.27 $, $Date: 2002/10/01 22:24:32 $
Summary:	Gnet, a network library
Summary(pl):	Biblioteka sieciowa
Name:		gnet
Version:	1.1.5
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://www.gnetlibrary.org/src/%{name}-%{version}.tar.gz
Patch0:		%{name}-no_libnsl_and_libresolv.patch
URL:		http://gnetlibrary.org/
BuildRequires:	glib-devel >= 1.2
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. It is intended to be small, fast, easy-to-use,
and easy to port. The interface is similar to the interface for Java's
network library. Features:
   - TCP 'client' sockets
   - TCP 'server' sockets
   - Non-blocking TCP sockets
   - UDP
   - IP Multicast
   - Internet address abstraction

%description -l pl
Gnet jest prost bibliotek sieciow. Jest napisana w C, zorientowana
objektowo i zbudowana na bazie glib. W zamierzeniu ma by mala,
szybka, atwa w uyciu i atwa do przeniesienia na inne systemy.
Interfejs jest podobny do biblioteki sieciowej Javy. Moliwoci to:
   - gniazda 'klienckie' TCP
   - gniazda 'serwerowe' TCP
   - nie-blokujce gniazda TCP
   - UDP
   - IP Multicast

%package devel
Summary:	Header files for the Gnet library
Summary(pl):	Pliki nagwkowe dla biblioteki Gnet
Group:		Development/Libraries
Requires:	%{name} = %{version}
Requires:	glib-devel

%description devel
Gnet is a simple network library. It is writen in C, object-oriented,
and built upon glib. This package allows you to develop applications
that use the Gnet library.

%description devel -l pl
Pliki nagwkowe dla biblioteki Gnet.

%package static
Summary:	Static Gnet library
Summary(pl):	Biblioteka statyczna Gnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static Gnet library.

%description static -l pl
Biblioteka statyczna Gnet.

%prep
%setup -q
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
	m4datadir=%{_aclocaldir}

gzip -9nf README ChangeLog NEWS TODO AUTHORS HACKING

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%doc doc/html/*
%attr(755,root,root) %{_bindir}/gnet-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_aclocaldir}/gnet.m4
%{_includedir}/gnet
%{_libdir}/gnet
%{_libdir}/*.la
%{_libdir}/pkgconfig/gnet.pc
%{_mandir}/man?/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnet.spec,v $
Revision 1.27  2002/10/01 22:24:32  undefine
- remove /usr/share/man/man1 from filelist
- release 2

Revision 1.26  2002/09/20 00:46:52  aflinta
- updated to version 1.1.5

Revision 1.25  2002/05/17 08:19:44  kloczek
- no_libnsl_and_libresolv patch is back (new version).

Revision 1.24  2002/05/16 11:11:02  pioklo
-remove outdated patch gnet-no_libnsl_and_libresolv.patch

Revision 1.23  2002/05/16 11:02:24  pioklo
- up to 1.1.4

Revision 1.22  2002/04/25 16:25:41  arturs
fixed a small typo

Revision 1.21  2002/02/23 02:17:45  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/02 20:15:20  ankry
- adding es/fr/pt_BR/ru/uk (and eventually de) Group translations

Revision 1.18  2002/02/01 00:36:16  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.17  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/07 18:40:41  marcus
- fix libtool & BR

Revision 1.15  2001/10/05 17:24:02  ankry
- gnet-devel requires glib-devel

Revision 1.14  2001/07/02 06:54:55  kloczek
- updated to 1.1.0,
- nwew URL and Source url,
- added no_libnsl_and_libresolv patch with remov AC_CHECK_LIB() for nsl
  and resolve (linking with this libraries on Linux isn't neccessary).

Revision 1.13  2001/02/21 12:14:42  misiek
added pl translation and fixed includes. stb

Revision 1.12  2000/10/22 22:08:17  kloczek
- updated to 1.0.4,
- use new rpm automation,
- include as %doc files only *.html files.

Revision 1.11  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.10  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/18 23:46:00  kloczek
- spec adapterized.

Revision 1.8  2000/04/14 06:57:50  kloczek
- updated to 1.0.3.

Revision 1.7  2000/04/11 12:58:14  kloczek
- updated to 1.0.2.

Revision 1.6  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.4  2000/03/23 04:23:52  kloczek
- typo.

Revision 1.3  2000/03/23 04:19:55  kloczek
- fixed Requires for static.

Revision 1.2  2000/03/23 04:19:16  kloczek
- completly rewrited in PLD style.

* Mon Feb 28 2000 David Helder <dhelder@umich.edu>
- Updated for version 1.0

* Sat Jan 15 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- Moved lib*.so and lib*a to the devel package
- Creation of a gnet.spec.in for autoconf process

* Wed Jan 14 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- HTML documentation has been move to %{_prefix}/doc/gnet-{version}/html

* Thu Jan 13 2000 Xavier Nicolovici <nicolovi@club-internet.fr>
- First try at an RPM
